%global momorel 9
%global svn_date 20080214
%global srcname compiz
%global use_svn 0

Summary: OpenGL window and compositing manager
Name: compiz-core
Version: 0.9.0
Release: %{momorel}m%{?dist}
License: MIT and GPLv2+ and LGPLv2+
Group: User Interface/Desktops
URL: http://www.compiz-fusion.org/
%if %{use_svn}
Source0: %{srcname}-%{version}-%{svn_date}.tar.bz2
%else
Source0: http://releases.compiz.org/%{version}/%{srcname}-%{version}.tar.bz2
NoSource: 0
%endif
Source1: %{srcname}-gtk
Source2: %{srcname}-gtk.desktop
# Momonga patch
Patch200: default-momonga-setting.patch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires(post): GConf2
Requires(post): desktop-file-utils
Requires(preun): GConf2
Requires(postun): GConf2
Requires(postun): desktop-file-utils
Requires: %{srcname}-bcop
Requires: dbus >= 0.92
Requires: libICE
Requires: libSM
Requires: libX11
Requires: libXau
Requires: libXcomposite
Requires: libXdamage
Requires: libXdmcp
Requires: libXext
Requires: libXfixes 
Requires: libXrandr
Requires: libXrender
Requires: libXxf86vm
Requires: libdrm
BuildRequires: cairo-devel
BuildRequires: cmake
BuildRequires: %{srcname}-bcop >= 0.7.8
BuildRequires: dbus-glib-devel
BuildRequires: dbus-qt-devel
BuildRequires: desktop-file-utils
BuildRequires: freetype-devel
BuildRequires: gnome-control-center-devel
BuildRequires: gnome-desktop-devel >= 2.29.0
BuildRequires: gtk2-devel
BuildRequires: imake
BuildRequires: kdebase-workspace-devel >= 4.2.0
BuildRequires: kdelibs-devel >= 4.2.0
BuildRequires: libICE-devel
BuildRequires: libSM-devel
BuildRequires: libX11-devel
BuildRequires: libXau-devel
BuildRequires: libXcomposite-devel
BuildRequires: libXdamage-devel
BuildRequires: libXdmcp-devel
BuildRequires: libXext-devel
BuildRequires: libXfixes-devel
BuildRequires: libXrandr-devel
BuildRequires: libXrender-devel
BuildRequires: libXxf86vm-devel
BuildRequires: libdrm-devel
BuildRequires: libgnomeui-devel
BuildRequires: libsvg-devel
BuildRequires: libsvg-cairo-devel
BuildRequires: libutempter-devel
BuildRequires: libwnck-devel >= 2.20.0
BuildRequires: libxml2-devel
BuildRequires: mesa-libGL-devel >= 6.5.2-1
BuildRequires: metacity-devel
BuildRequires: pango-devel
BuildRequires: pkgconfig
BuildRequires: popt
BuildRequires: qt-devel >= 4.4.3
BuildRequires: xorg-x11-proto-devel >= 7.3-4m

%description
Compiz is an OpenGL compositing manager that use GLX_EXT_texture_from_pixmap
for binding redirected top-level windows to texture objects. It has a flexible
plug-in system and it is designed to run well on most graphics hardware. 

%package kde
Summary: Compiz core library-plugin for KDE
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description kde
This package contains compiz core library-plugin for KDE.

%package kde-window-decorator
Summary: Compiz KDE window decorator
Group: User Interface/Desktops
Requires: %{name}-kde = %{version}-%{release}

%description kde-window-decorator
This is Compiz KDE window decorator.

%package gtk-window-decorator
Summary: Compiz Gtk+ window decorator
Group: User Interface/Desktops
Requires: %{name} = %{version}-%{release}

%description gtk-window-decorator
This is Compiz Gtk+ window decorator.

%package devel
Summary: Header files and development libraries from compiz
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
Libraries and includes files for developing programs based on compiz.

%prep
%if %{use_svn}
%setup -q -n %{srcname}
%else
%setup -q -n %{srcname}-%{version}
%endif

# clean up moc files to enable build Qt4 components
rm -f kde/window-decorator*/*.moc.cpp

%build
# needed to find KDE4-libs
export LDFLAGS="$LDFLAGS -L%{_libdir}/kde4/devel"

%if %{use_svn}
./autogen.sh
make distclean
%endif

mkdir -p %{_target_platform}
pushd %{_target_platform}
%cmake -DCOMPIZ_DESTDIR=%{buildroot} \
       ..
popd

# parallel build fails, compiz-core-0.9.0-9m (ichiro)
make -C %{_target_platform} VERBOSE=1

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install -C %{_target_platform}

# install cmake module
mkdir -p %{buildroot}%{_datadir}/cmake/Modules
make findcompiz_install -C %{_target_platform}

# move gconf-schemes to /etc
mkdir -p %{buildroot}%{_sysconfdir}
mv %{buildroot}%{_datadir}/gconf %{buildroot}%{_sysconfdir}/

# inastall compiz-gtk
install -m 755 %{SOURCE1} %{buildroot}%{_bindir}/

# install desktop file
desktop-file-install --vendor="" \
  --dir %{buildroot}%{_datadir}/applications \
  %{SOURCE2}

%post
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null || :
%{_bindir}/gconftool-2 --shutdown
export GCONF_CONFIG_SOURCE=`/usr/bin/gconftool-2 --get-default-source`
%{_bindir}/gconftool-2 --makefile-install-rule \
		%{_sysconfdir}/gconf/schemas/%{srcname}-*.schemas > /dev/null

%preun
if [ "$1" -eq 0 ]; then
    export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
    %{_bindir}/gconftool-2 --makefile-uninstall-rule \
		%{_sysconfdir}/gconf/schemas/%{srcname}-*.schemas > /dev/null
fi

%postun
/sbin/ldconfig
%{_bindir}/update-desktop-database %{_datadir}/applications &> /dev/null || :

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%files
%defattr(-,root,root)
%{_sysconfdir}/gconf/schemas/*.schemas
# %%{_sysconfdir}/gconf/schemas/%{srcname}-*.schemas
# %%{_sysconfdir}/gconf/schemas/gwd.schemas
%{_bindir}/%{srcname}
%{_bindir}/%{srcname}-gtk
# %%{_bindir}/gnome-%{srcname}rc
%dir %{_libdir}/%{srcname}
%{_libdir}/%{srcname}/libannotate.so
%{_libdir}/%{srcname}/libblur.so
%{_libdir}/%{srcname}/libclone.so
%{_libdir}/%{srcname}/libcommands.so
%{_libdir}/%{srcname}/libcompiztoolbox.so
%{_libdir}/%{srcname}/libcomposite.so
%{_libdir}/%{srcname}/libcopytex.so
%{_libdir}/%{srcname}/libcube.so
%{_libdir}/%{srcname}/libdbus.so
%{_libdir}/%{srcname}/libdecor.so
%{_libdir}/%{srcname}/libfade.so
%{_libdir}/%{srcname}/libglib.so
%{_libdir}/%{srcname}/libgnomecompat.so
%{_libdir}/%{srcname}/libimgpng.so
%{_libdir}/%{srcname}/libimgsvg.so
%{_libdir}/%{srcname}/libini.so
%{_libdir}/%{srcname}/libinotify.so
%{_libdir}/%{srcname}/libmove.so
%{_libdir}/%{srcname}/libobs.so
%{_libdir}/%{srcname}/libopengl.so
%{_libdir}/%{srcname}/libplace.so
%{_libdir}/%{srcname}/libregex.so
%{_libdir}/%{srcname}/libresize.so
%{_libdir}/%{srcname}/librotate.so
%{_libdir}/%{srcname}/libscale.so
%{_libdir}/%{srcname}/libscreenshot.so
%{_libdir}/%{srcname}/libswitcher.so
%{_libdir}/%{srcname}/libwater.so
%{_libdir}/%{srcname}/libwobbly.so
%{_libdir}/%{srcname}/libzoom.so
%{_libdir}/window-manager-settings/*.so
%{_libdir}/libdecoration.so*
%{_datadir}/applications/%{srcname}.desktop
%{_datadir}/applications/%{srcname}-gtk.desktop
%{_datadir}/cmake/Modules/FindCompiz.cmake
%{_datadir}/%{srcname}/*.xml
%{_datadir}/%{srcname}/cmake/*
%{_datadir}/%{srcname}/images/*
%{_datadir}/%{srcname}/xslt/*
# %%{_datadir}/gnome/autostart/gnome-%{srcname}rc.desktop
%{_datadir}/gnome-control-center/keybindings/*
%{_datadir}/gnome/wm-properties/%{srcname}-wm.desktop
%{_datadir}/locale/*/*/*.mo

%files kde
%defattr(-,root,root)
%{_libdir}/%{srcname}/libkde.so

%files gtk-window-decorator
%defattr(-,root,root)
%{_bindir}/gtk-window-decorator

%files kde-window-decorator
%defattr(-,root,root)
%{_bindir}/kde4-window-decorator

%files devel
%defattr(-,root,root)
%{_includedir}/%{srcname}
%{_libdir}/pkgconfig/*

%changelog
* Sun Sep  5 2010 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.9.0-9m)
- add a package kde
- remove mixed tabs and spaces

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.9.0-8m)
- full rebuild for mo7 release

* Fri Aug 20 2010 Masahiro Takahata <takahata@momonga-linux.org>
- (0.9.0-7m)
- use BuildRequires: gnome-control-center-devel

* Thu Aug 19 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.0-6m)
- add compiz-gtk script. need desktop-effects

* Tue Aug  3 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.0-5m)
- include dir move to -devel

* Sun Aug  1 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.0-4m)
- clean up spec

* Tue Jul  6 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.9.0-3m)
- use %%cmake macro

* Mon Jul  5 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.0-2m)
- maybe support x86_64

* Sun Jul  4 2010 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.9.0-1m)
- update 0.9.0

* Mon Jun 28 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.6-2m)
- rebuild against qt-4.6.3-1m

* Wed Apr 21 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (0.8.6-1m)
- update 0.8.6

* Mon Feb 15 2010 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.4-4m)
- rebuild against gnome-desktop-2.29.90

* Sun Jan 17 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (0.8.4-3m)
- import patch150 from Fedora devel
-- add patch to fix kde decorator build error

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.4-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Tue Oct 20 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.4-1m)
- update 0.8.4

* Sun Oct 11 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.8.2-3m)
- rebuild against GConf-2.28.0

* Sun Jul  5 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.8.2-2m)
- add devel package

* Mon Apr  6 2009 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.8.2-1m)
- update 0.8.2

* Thu Mar  5 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.8-7m)
- apply upstream fixes for KDE 4.2 from Fedora

* Sun Feb  8 2009 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.7.8-6m)
- rebuild against gnome-desktop-2.25.90

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.8-5m)
- rebuild against rpm-4.6

* Wed Dec  3 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.8-4m)
- apply kde42 patch (Patch100) from Fedora devel (0.7.8-5)

* Sat Oct 25 2008 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (0.7.8-3m)
- add BuildRequires:  gnome-desktop-devel >= 2.24.1

* Mon Oct 13 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.8-2m)
- rebuild against kdebase-workspace-4.1.69-1m

* Sun Oct 12 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.8-1m)
- update 0.7.8

* Mon Sep 29 2008 Yohsuke Ooi <meke@momonga-linux.org> 
- (0.7.6-4m)
- remove gnome-compizrc*. it's Obsoletes

* Mon Jul 28 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (0.7.6-3m)
- change %%preun script

* Mon Jun  2 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.6-2m)
- delete patch100 for new plasma

* Sun Jun  1 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.6-1m)
- update 0.7.6

* Sun May 11 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (0.7.4-4m)
- rebuild against qt-4.4.0-1m

* Mon Apr 28 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-3m)
- switch kde-window-decorator from KDE3 to KDE4
- own %%{_includedir}/compiz and %%{_libdir}/compiz

* Sun Apr  6 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.7.4-2m)
- set QTINC and QTLIB to enable build on x86_64

* Sun Apr  6 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.4-1m)
- update 0.7.4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.7.2-3m)
- rebuild against gcc43

* Sat Mar  8 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.2-2m)
- cleanup spec
-- remove static-Mesa section

* Fri Mar  7 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.2-1m)
- update 0.7.2

* Sat Feb 16 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.7.0-1m)
- update 0.7.0
- remove static libGL

* Thu Feb 14 2008 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.2-3m)
- %%NoSource -> NoSource

* Sun Oct 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.2-2m)
- add any BuildReq

* Fri Oct 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.6.2-1m)
- update 0.6.2

* Fri Oct  5 2007 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.2-6m)
- add BuildRequires: control-center for %%{_datadir}/gnome-control-center/keybindings/*

* Mon Sep 24 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.2-5m)
- rebuild against xorg-x11-proto-devel >= 7.3-4m

* Sun Sep 23 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.2-4m)
- fix %%files (GNOME-2.20)

* Thu Sep 20 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.5.2-3m)
- rebuild against libwnck-2.20.0

* Thu Aug 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-2m)
- update default-momonga-setting.patch
-- fix cube top image

* Wed Aug 15 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.2-1m)
- update 0.5.2

* Wed Aug  1 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070801.1m)
- update 20070801

* Tue Jul 31 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070729.2m)
- add Momonga Default Setting

* Sun Jul 29 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070729.1m)
- update 20070729

* Tue Jul 17 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070717.1m)
- update 20070717

* Fri Jul  6 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070706.1m)
- update 20070706

* Sat Jun 30 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070630.1m)
- update 20070630

* Sat Jun 23 2007 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (0.5.1-0.20070621.2m)
- revised spec

* Thu Jun 21 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070621.1m)
- update 20070621

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070616.2m)
- split packages gtk-window-decorator, kde-window-decorator

* Sat Jun 16 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070616.1m)
- update 20070616

* Tue Jun 12 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070612.1m)
- update 20070612

* Sun Jun  3 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070603.1m)
- update 20070603

* Fri May 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070524.2m)
- remove any Requires. because, dependency loop...

* Fri May 25 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070524.1m)
- update 20070524

* Sun May 20 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070519.2m)
- fix Obsoletes

* Sat May 19 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070519.1m)
- update 0.5.1-0.20070519

* Fri May 11 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.5.1-0.20070510.1m)
- update 0.5.1-0.20070510

* Sat Mar 31 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.3.6-2m)
- BuildRequires: freetype2-devel -> freetype-devel

* Sat Feb 24 2007 Yohsuke Ooi <meke@momonga-linux.org>
- (0.3.6-1m)
- update 0.3.6
- static libGL.a changed from Mesa to beryl-mesa

* Wed Nov 22 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.2.0-3m)
- revised Mesa-configs.diff for lib64

* Wed Oct  4 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.2.0-2m)
- update 20061012-git

* Sat Sep 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060929.1m)
- update 20060929

* Wed Sep 26 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060926.2m)
- remove fbconfig-depth-fix.patch

* Wed Sep 26 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060926.1m)
- update 20060926
- default use --use-cow
- gnome-window-decorator -> gtk-window-decorator
- remove fbconfig-depth-fix.patch

* Thu Sep 21 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060920.1m)
- update 20060920

* Sun Sep 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060916.1m)
- update 20060916
- require mesa-6.5.1

* Fri Sep  1 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.13-0.20060726.5m)
- rebuild against 0.92

* Sun Aug 27 2006 NARITA Koichi <pulsar@sea.plala.or.jp>
- (0.0.13-0.20060726.4m)
- rebuild against expat-2.0.0-1m

* Thu Aug 17 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.0.13-0.20060726.3m)
- rebuild against control-center-2.14.2-3m

* Tue Aug  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060726.2m)
- fix mo-nuri.png -> mo.png

* Sun Jul 30 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060726.1m)
- update 20060726

* Sun Jul 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060722.2m)
- update momonga-logo.patch
-- no use transparent png 

* Sun Jul 23 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060722.1m)
- update 20060722 

* Wed Jul 19 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060718.2m)
- cube plugin use "Mo?" logo mark. 

* Tue Jul 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060718.1m)
- update 20060718
- edit gnome-compizrc (support AIGLX)

* Mon Jul 17 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060705.3m)
- support AIGLX
- usage: compiz --indirect-rendering --strict-binding --replace gconf
-- Patch100: gl-include-inferiors.patch
-- Patch101: aiglx-defaults.patch
-- Patch102: tfp-server-extension.patch
-- Patch103: composite-cube-logo.patch
-- Patch104: fbconfig-depth-fix.patch

* Sat Jul  8 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060705.2m)
- add Patch7: mesadec.patch

* Fri Jul  7 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060705.1m)
- update 20060705(cvs)

* Fri Jun 24 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060621.1m)
- update 20060621

* Mon Jun 19 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060617.3m)
- disable reload keyboard-config 

* Mon Jun 19 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060617.2m)
- add post & preun
- static link libGL.a. 

* Sun Jun 18 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.13-0.20060617.1m)
- update 0.0.13(CVS-20060617)

* Fri Jun 16 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.12-0.20060602.4m)
- add /usr/bin/gnome-compizrc
-     /usr/share/gnome/autostart/gnome-compiz.desktop

* Fri Jun 16 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.12-0.20060602.3m)
- remove gnome-xgl-settings.

* Wed Jun 14 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.12-0.20060602.2m)
- add patch compiz_disable_fbconfig.patch

* Tue Jun 13 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.12-0.20060602.1m)
- update 0.0.12-20060602

* Sun Jun  4 2006 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.0.8-2m)
- BuildRequires:  control-center-devel

* Fri Apr  7 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.8-1m)
- update compiz-20060406

* Fri Mar 31 2006 Yohsuke Ooi <meke@momonga-linux.org>
- (0.0.6-1m)
- initial commit
